org.flexdock.dockbar.layout

## Class InsetBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.CompoundBorder
    - - org.flexdock.plaf.common.border.CompoundEmptyBorder
      - - org.flexdock.dockbar.layout.InsetBorder

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.border.Border

      public class InsetBorder
      extends CompoundEmptyBorder

  Author:
    Christopher Butler TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.flexdock.plaf.common.border.CompoundEmptyBorder

      `CompoundEmptyBorder.MutableEmptyBorder`

  - ### Field Summary

    - ### Fields inherited from class org.flexdock.plaf.common.border.CompoundEmptyBorder

      `EMPTY_INSETS, inner`

    - ### Fields inherited from class javax.swing.border.CompoundBorder

      `insideBorder, outsideBorder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InsetBorder(javax.swing.border.Border outer, javax.swing.border.Border inner, boolean emptyInner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InsetBorder` | `createBorder(javax.swing.border.Border border, boolean inner)`
    `static InsetBorder` | `createBorder(javax.swing.border.Border border, boolean inner, java.awt.Insets base)`
    `boolean` | `isBottomEdge()`
    `boolean` | `isLeftEdge()`
    `boolean` | `isRightEdge()`
    `void` | `setBottomEdge(boolean bottomEdge)`
    `boolean` | `setEmptyInsets(int top, int left, int bottom, int right)`
    `void` | `setLeftEdge(boolean leftEdge)`
    `void` | `setRightEdge(boolean rightEdge)`
    `void` | `toggleEdge(int edge, boolean on)`

    - ### Methods inherited from class org.flexdock.plaf.common.border.CompoundEmptyBorder

      `create, create, getEmptyInsets, getWrappedBorder, setEmptyInsets`

    - ### Methods inherited from class javax.swing.border.CompoundBorder

      `getBorderInsets, getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsetBorder

          protected InsetBorder(javax.swing.border.Border outer,
                     javax.swing.border.Border inner,
                     boolean emptyInner)

  - ### Method Detail

    - #### createBorder

          public static InsetBorder createBorder(javax.swing.border.Border border,
                                 boolean inner)

    - #### createBorder

          public static InsetBorder createBorder(javax.swing.border.Border border,
                                 boolean inner,
                                 java.awt.Insets base)

    - #### toggleEdge

          public void toggleEdge(int edge,
                        boolean on)

    - #### isBottomEdge

          public boolean isBottomEdge()

      Returns:
        Returns the bottomEdge.

    - #### setBottomEdge

          public void setBottomEdge(boolean bottomEdge)

      Parameters:
        `bottomEdge` - The bottomEdge to set.

    - #### isLeftEdge

          public boolean isLeftEdge()

      Returns:
        Returns the leftEdge.

    - #### setLeftEdge

          public void setLeftEdge(boolean leftEdge)

      Parameters:
        `leftEdge` - The leftEdge to set.

    - #### isRightEdge

          public boolean isRightEdge()

      Returns:
        Returns the rightEdge.

    - #### setRightEdge

          public void setRightEdge(boolean rightEdge)

      Parameters:
        `rightEdge` - The rightEdge to set.

    - #### setEmptyInsets

          public boolean setEmptyInsets(int top,
                               int left,
                               int bottom,
                               int right)

      Overrides:
        `setEmptyInsets` in class `CompoundEmptyBorder`